#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.2
visibility:           public
id:                   snap-core-1.0.4.2-Ac3df67J6RuHuuUwwHBdaU
key:                  snap-core-1.0.4.2-Ac3df67J6RuHuuUwwHBdaU
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  eae3e40757e49cece23d827ea822cc14
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-8.10.4/site-local/snap-core-1.0.4.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/snap-core-1.0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/snap-core-1.0.4.2
hs-libraries:         HSsnap-core-1.0.4.2-Ac3df67J6RuHuuUwwHBdaU
depends:
    HUnit-1.6.2.0-5bYXycUL9I1CFNdodpqSA5
    attoparsec-0.13.2.5-GizkWPNym1tDxXu7xbn7bA base-4.14.1.0
    bytestring-0.10.12.0
    case-insensitive-1.2.1.0-3yfC15eFZ65DOerorbYHsO containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1
    hashable-1.3.1.0-5wlJXyHm50SFuYmZaY4yzV
    io-streams-1.5.2.0-44NfOqyV28LGl9Ikw1LMZ8
    lifted-base-0.2.3.12-JGO5NtXtdo39uhZUIazv01
    monad-control-1.0.2.3-7QpgFvpbUZa7fsjFyByj7x mtl-2.2.2
    network-3.1.2.1-3ek0iWyW48M1qyKNB0q4GG
    network-uri-2.6.4.1-EbPTcnfItcuGSIMg9mY1gU
    old-locale-1.0.0.7-LpTuchyagHAP7STZdm71P
    random-1.2.0-2o5YvCL6JeI1aF7Um98CWa
    readable-0.3.1-ADUCwf111zyALvpIUwWBeo
    regex-posix-0.96.0.0-8LCvLtnjIJ88C22vpMeOJf text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-A1HPDOuz4LULdfynOpoMfn
    unix-compat-0.5.3-E98n0JyMac7Bz478oqWJHX
    unordered-containers-0.2.13.0-8xrAhv2QGcsF4IHfxyp1m2
    vector-0.12.2.0-Fhpcj4oaE8d6h7vKPBvHg3

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

